Get incident aggregations
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/incidents/aggregations/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/incidents/aggregations/v1"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/incidents/aggregations/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incidentAggs": [
{
"aggAssignmentsCount": [
{
"assignedTo": {
"userId": "user_id"
},
"count": 10
}
],
"aggMetaLabelsCount": [
{
"count": 10,
"metaLabel": {
"key": "key",
"value": "value"
}
}
],
"aggSeverityCount": [
{
"count": 10
}
],
"aggStateCount": [
{
"count": 10
}
],
"aggStatusCount": [
{
"count": 10
}
],
"allValuesCount": 1,
"firstCreatedAt": "2023-11-07T05:31:56Z",
"groupBysValue": [
{
"incidentField": {
"id": "<string>",
"applicationName": "<string>",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"lastStateUpdateTime": "2023-11-07T05:31:56Z",
"name": "<string>",
"subsystemName": "<string>"
},
"contextualLabels": {
"fieldName": "field_name",
"fieldValue": "field_value"
}
}
],
"lastClosedAt": "2023-11-07T05:31:56Z",
"lastStateUpdateTime": "2023-11-07T05:31:56Z",
"listIncidentsId": [
"<string>"
]
}
],
"pagination": {
"totalSize": 100,
"nextPageToken": "next_page_token"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Incidents Service
Get incident aggregations
Retrieve aggregated incident data with support for grouping and filtering.
Requires the following permissions:
incidents:read
Get incident aggregations
Authorizations
API key authentication
Query Parameters
Filter for incidents Filter configuration for incidents
Show child attributes
Show child attributes
Group by fields for aggregation
- Incident group by
- Incident group by
Show child attributes
Show child attributes
Pagination parameters Pagination parameters for list requests
Show child attributes
Show child attributes
Was this page helpful?
⌘I